Subject: Re: lockdep trace from rc2.

From: Stephen Hemminger <[email-masked]>
Date: Tue, 26 Feb 2008 19:54:00 -0800

On Tue, 26 Feb 2008 19:51:57 -0800
Stephen Hemminger <[email-masked]> wrote:

> On Tue, 26 Feb 2008 18:13:54 -0800 (PST)
> David Miller <[email-masked]> wrote:
> 
> > From: Dave Jones <[email-masked]>
> > Date: Sun, 24 Feb 2008 21:22:37 -0500
> > 
> > > https://bugzilla.redhat.com/show_bug.cgi?id=431038 has some more info,
> > > but the trace is below...
> > > I'll get an rc3 kernel built and ask the user to retest, but in case this
> > > isn't a known problem, I'm forwarding this here.
> > 
> > So basically, tulip's ->stop() calls tulip_down() which does a
> > flush_scheduled_work().
> > 
> > Lockdep is saying that the RTNL mutex (which is held when we
> > call the driver's ->stop() method) conflicts with that work
> > queue lock that flush_scheduled_work() takes.
> > 
> > Maybe this has something to do with how linkwatch works, but
> > I can't say that I've seen this before nor do I quite understand
> > what lockdep doesn't exactly like here.
> > --
> > To unsubscribe from this list: send the line "unsubscribe netdev" in
> > the body of a message to [email-masked]
> > More majordomo info at  http://vger.kernel.org/majordomo-info.html
> 
> This has come up before in other drivers,
> you can't call flush_scheduled_work under RTNL.

Correct link: http://kerneltrap.org/mailarchive/linux-kernel/2007/4/11/76312